New Firefox version (85.0) with various Wayland fixes. New NSS version (3.60).

Logout Required
After installing this update it is required that you logout of your current user session and log back in to ensure the changes supplied by this update are applied properly.

How to install

sudo dnf upgrade --advisory=FEDORA-2021-1d4180de72

This update has been submitted for testing by stransky.

9 months ago

This update's test gating status has been changed to 'ignored'.

9 months ago

This update's test gating status has been changed to 'waiting'.

9 months ago

This update's test gating status has been changed to 'ignored'.

9 months ago
User Icon treba commented & provided feedback 9 months ago
karma

Works well here.

User Icon imabug provided feedback 9 months ago
karma
Test Case firefox browse
User Icon agurenko commented & provided feedback 9 months ago
karma

Works well, no regression spotted over the course of the day

Test Case firefox addons
Test Case firefox browse
Test Case firefox media

This update has been submitted for stable by bodhi.

9 months ago
User Icon robmv provided feedback 9 months ago
karma
Test Case firefox browse
Test Case firefox media
User Icon adamwill commented & provided feedback 9 months ago
karma

I revoked this update because it was queued for stable, but it seems to break openQA's ability to launch Fedora from a console - see https://openqa.fedoraproject.org/tests/762385#step/server_cockpit_default/14 . This is vital to how we do several openQA tests. I'm not sure what the problem is yet beyond the apparently cut-off error message "ldn't load XPCOM.xinit: connection t" we see at the console, but it is failing consistently for this update and working consistently without it.

This update has been submitted for stable by bodhi.

9 months ago

srsly bodhi stoppit

User Icon markec provided feedback 9 months ago
karma

This update has been submitted for stable by bodhi.

9 months ago

@stransky so I figured it out: it seems firefox doesn't run unless dbus-glib is installed. This is new, it worked before.

I guess it should be added as a dependency, or you can figure out what's requiring and if it can be made optional?

I added dbus-glib as a dependency to firefox-85.0-5

Not sure I am understanding the logic here. This update didn't get pushed today (i.e. is on hold, it seems) and it contains nss that -4 and -5 depend on. How that going to work?

I added dbus-glib as a dependency to firefox-85.0-5

It should be an automatic dependency: https://src.fedoraproject.org/rpms/firefox/blob/master/f/firefox.spec#_262

User Icon robatino commented & provided feedback 9 months ago
karma

FWIW, I've been running this since it was originally submitted for stable, and it works fine (with dbus-glib installed, I'm using GNOME and it's impossible to remove dbus-glib since it would remove the protected package gnome-shell).

This update has been submitted for stable by bodhi.

9 months ago

Sorry, I didn't realize it would be submitted for stable again, I thought it was frozen. Please put it on ice again if necessary.

This update has been pushed to stable.

9 months ago

Please login to add feedback.

Metadata
Type
security
Severity
urgent
Karma
5
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
14 days
Dates
submitted
9 months ago
in stable
9 months ago

Automated Test Results

Test Cases

0 1 Test Case firefox addons
0 3 Test Case firefox browse
0 2 Test Case firefox media
0 2 Test Case firefox screenshot